Bug 14783 - smbd "deadtime" parameter doesn't work anymore
Summary: smbd "deadtime" parameter doesn't work anymore
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: unspecified
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-05 14:26 UTC by Ralph Böhme
Modified: 2021-09-07 07:13 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.13, 4.14 and 4.15 cherry-picked from master (5.84 KB, patch)
2021-08-11 15:33 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2021-08-05 14:26:11 UTC
It seems the deadtime checking was broken by commit 70fa7e817e48c9faa3c6c7ae3749e4a8ebf3e6c2. The deadtime checking function conn_idle_all() calls check_open_pipes() which is supposed to do just that: check for open pipes.

It seems that since 70fa7e817e48c9faa3c6c7ae3749e4a8ebf3e6c2 check_open_pipes() checks the number of existing policy handles which are longterm objects created when RPC services are initialized.
Comment 1 Samba QA Contact 2021-08-10 18:42:03 UTC
This bug was referenced in samba master:

39db53a1391769fc6476fa55b02add08f1b8cd75
45a33b25c4e6b1db5d2dfa6297ccb390220a7c80
Comment 2 Ralph Böhme 2021-08-11 15:33:36 UTC
Created attachment 16727 [details]
Patch for 4.13, 4.14 and 4.15 cherry-picked from master
Comment 3 Jule Anger 2021-08-26 13:29:19 UTC
Pushed to autobuild-v4-{15,14,13}-test.
Comment 4 Samba QA Contact 2021-08-26 14:31:03 UTC
This bug was referenced in samba v4-15-test:

1e56dc7dd19c84fe164cfbeb9c2c9aaa1beff004
e0dc316821092b133e1c01759f4e759052fd1abc
Comment 5 Samba QA Contact 2021-08-26 16:25:13 UTC
This bug was referenced in samba v4-14-test:

5500f3ab7fe7bbfa8f952e29140f784a0c9bc363
07b062c489ffe926f14a65da9540c31aea909315
Comment 6 Samba QA Contact 2021-08-27 08:42:03 UTC
This bug was referenced in samba v4-13-test:

f25f3118593dbf35553c3e9b7ae15483b8155d22
6be92d44bb7a7fbfb524b75102e562a5dccff6ae
Comment 7 Jule Anger 2021-08-27 10:38:24 UTC
Closing out bug report.

Thanks!
Comment 8 Samba QA Contact 2021-09-01 09:32:18 UTC
This bug was referenced in samba v4-15-stable (Release samba-4.15.0rc4):

1e56dc7dd19c84fe164cfbeb9c2c9aaa1beff004
e0dc316821092b133e1c01759f4e759052fd1abc
Comment 9 Samba QA Contact 2021-09-07 07:13:54 UTC
This bug was referenced in samba v4-13-stable (Release samba-4.13.11):

f25f3118593dbf35553c3e9b7ae15483b8155d22
6be92d44bb7a7fbfb524b75102e562a5dccff6ae